# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

# frozen_string_literal: true

class AdminMailer < ApplicationMailer
  def attendance_change_email
    @guest = Guest.find(params[:guest_id])

    mail(
      to: @guest.wedding.users.pluck(:email),
      subject: I18n.t(
        'admin_mailer.attendance_change_email.subject',
        name: @guest.name,
        status: I18n.t("active_record.attributes.guest/status.#{@guest.status}")
      )
    )
  end
end
